<header>
    <h1>
        ToDo Zone.js
    </h1>
</header>

<main>
    <section class="input">
        <input #todoName type="text" placeholder="Enter a new ToDo task">
        <textarea #todoDescription name="" id="" cols="30" rows="5"  placeholder="Description"></textarea>
        <button (click)="addToDoTask()">Add</button>
    </section>

    <button (click)="removeTask(1)">Remove Task</button>

    <section class="todo-list">
      <ng-container *ngFor="let task of todoList | async"
      [ngTemplateOutlet]="taskItem"
      [ngTemplateOutletContext]="{task: task}"></ng-container>
    </section>
</main>


<ng-template #taskItem let-task="task">
    <article (click)="completeTask(task.id)">

        <div>{{task.title}}</div>
        <div>{{task.description}}</div>
        <div>{{task.date | date}}</div>
        <div>{{task.completed}}</div>
        <!-- {{task | json}}  -->
    </article>
</ng-template>